%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global kdesdkrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global docver 0.9.4
%global enable_gcc_check_and_hidden_visibility 0

Summary: GPhoto2 KDE3 frontend
Name: digikam
Version: 0.9.4
Release: %{momorel}m%{?dist}
License: GPLv2 and GFDL
URL: http://www.digikam.org/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Source1: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-doc-%{docver}.tar.bz2 
NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: ImageMagick >= 6.3.2-5m
Requires: gphoto2
Requires: kipi-plugins
Requires: mjpegtools >= 1.6.0
Requires: sqlite
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: gphoto2 >= 2.2.0
BuildPreReq: exiv2-devel >= 0.14
BuildPreReq: gdbm-devel >= 1.8.3-7m
BuildPreReq: jasper-devel
BuildPreReq: lcms-devel >= 1.15-4m
BuildPreReq: libart_lgpl-devel
BuildPreReq: libgphoto2-devel >= 2.2.1-4m
BuildPreReq: libjpeg-devel >= 6b-30m
BuildPreReq: libkdcraw-devel >= 0.1.4
BuildPreReq: libkexiv2-devel >= 0.1.6
BuildPreReq: libkipi-devel >= 0.1.5-2m
BuildPreReq: libpng-devel
BuildPreReq: libtiff-devel >= 3.5.0
BuildPreReq: sed
BuildPreReq: sqlite-devel >= 3.3.11-2m
BuildPreReq: zlib-devel
Obsoletes: digikamimageplugins

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.

%package doc
Summary: Documentation for digikam
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for digikam.

%prep
# clean up digikam-doc
rm -rf %{_builddir}/%{name}-doc-%{docver}

%setup -q -b 1

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

# build digikam-doc
cd %{_builddir}/%{name}-doc-%{docver}

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--disable-rpath

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install digikam-doc
cd %{_builddir}/%{name}-doc-%{docver}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/digikam.png %{buildroot}%{_datadir}/pixmaps/digikam.png
ln -s ../icons/hicolor/48x48/apps/showfoto.png %{buildroot}%{_datadir}/pixmaps/showfoto.png

# remove doc/HTML/*/digikam-%%{version}apidocs
rm -rf %{buildroot}%{_datadir}/doc/HTML/*/digikam-%{version}*-apidocs

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README TODO
%doc digikam/DESIGN digikam/NEWS.0.9.*
%{_bindir}/digikam
%{_bindir}/digikamthemedesigner
%{_bindir}/digitaglinktree
%{_bindir}/showfoto
%{_includedir}/kde/digikam
%{_includedir}/kde/digikam_export.h
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/libdigikam.la
%{_libdir}/libdigikam.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/digikam
%{_datadir}/apps/konqueror/servicemenus/digikam-*.desktop
%{_datadir}/apps/showfoto
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man1/digitaglinktree.1*
%{_datadir}/pixmaps/digikam.png
%{_datadir}/pixmaps/showfoto.png
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/digikamimageplugin.desktop

%files doc
%defattr(-, root, root)
%doc digikam/COPYING-DOCS
%{_datadir}/doc/HTML/*/digikam
%{_datadir}/doc/HTML/*/showfoto

%changelog
* Thu Jul 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-1m)
- version 0.9.4

* Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.6.1m)
- update to 0.9.4-rc2

* Wed Jun 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.5.1m)
- update to 0.9.4-rc1
- remove optflags modify section, -O2 is working with gcc-4.3.1-2m now

* Mon May 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.4.1m)
- update to 0.9.4-beta5
- use -O1 instead of -O2 to avoid hanging up of cc1plus

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.3.4m)
- revise %%{_docdir}/HTML/*/digikam/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-0.3.3m)
- rebuild against qt3

* Wed May  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.3.2m)
- use -O0 on x86_64 too 

* Wed May  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.3.1m)
- update to 0.9.4-beta4
- use -O0 instead of -O2 on i686 to avoid hanging up of cc1plus

* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.2.1m)
- update to 0.9.4-beta3
- update digikam-doc to 0.9.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-0.1.2m)
- rebuild against gcc43

* Mon Mar 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.1.1m)
- update to version 0.9.4-beta2
- remove merged 142055.digikam.kde3.patch

* Mon Mar 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-6m)
- rebuild against libkdcraw-devel-0.1.4
- import 142055.digikam.kde3.patch from cooker
 +* Sat Mar 01 2008 Angelo Naselli <anaselli@mandriva.org> 0.9.3-4mdv2008.1
 +- Added a patch to build against new libkdcraw 0.1.4 provided by Gilles Caulier

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-5m)
- move headers to %%{_includedir}/kde

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.3-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-3m)
- %%NoSource -> NoSource

* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-2m)
- update digikam-doc to 0.9.3 official release

* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-1m)
- version 0.9.3

* Wed Dec 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.4.1m)
- update to 0.9.3-rc1 (tar-ball was changed at Wed Dec 19)

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.3.1m)
- update digikam and digikam-doc to 0.9.3-beta3

* Sat Nov  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.2.1m)
- update to 0.9.3-beta2

* Fri Oct 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-0.1.1m)
- update to version 0.9.3-beta1

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-6m)
- rebuild against libkexiv2-1.1.6 and libkdcraw-1.1.2
- License: GPLv2 and GFDL

* Mon Jul  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-5m)
- remove duplicate BPR

* Thu Jul  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-4m)
- add BuildPreReq: libkdcraw-devel >= 0.1.1

* Fri Jun 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-3m)
- replace tar-ball (from 0.9.2-final to 0.9.2)

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-2m)
- split digikam-doc

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-1m)
- version 0.9.2
- update digikam-doc to version 0.9.2-beta2
- DigikamImagePlugins have been merged into digiKam
- remove digi_libkexiv2.patch

* Sun May 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-5m)
- rebuild against libkexiv2-0.1.5

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-4m)
- rebuild against exiv2-0.14 and libkexiv2-0.1.2-2m
- import libkexiv2 patch from cooker

* Thu Mar 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-3m)
- update digikam-doc to 0.9.1

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-2m)
- clean up spec file

* Mon Mar  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-1m)
- version 0.9.1

* Thu Mar  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.3.1m)
- update to 0.9.1-rc2

* Tue Feb 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.2.1m)
- update to 0.9.1-rc1

* Wed Feb 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.1.1m)
- update to version 0.9.1-beta1

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-2m)
- rebuild against libkipi etc.

* Tue Dec 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-1m)
- version 0.9.0

* Fri Dec  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.2.1m)
- update to 0.9.0-rc2

* Thu Nov 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.1.2m)
- rebuild against exiv2-0.12

* Wed Nov 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-0.1.1m)
- update to version 0.9.0-rc1

* Fri Aug 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-4m)
- update digikam-doc to 0.8.2-r1

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-3m)
- rebuild against kdelibs-3.5.4-2m
- rebuild against libkexif-0.2.4-2m
- rebuild against libkipi-0.1.4-2m

* Thu Jul 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-2m)
- update digikam-doc to 0.8.2

* Wed Jul 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-1m)
- version 0.8.2

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.2-0.1.3m)
- depend sqlite3 -> sqlite

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.2m)
- fix symlinks

* Fri May 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.1m)
- update to version 0.8.2 rc1

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-3m)
- revise %%files for KDE 3.5.2

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-2m)
- add --enable-new-ldflags to configure

* Sat Jan 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- version 0.8.1
- remove merged gcc41.patch

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-3m)
- add gcc-4.1 patch
-- Patch0: digikam-0.8.0-gcc41.patch

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-2m)
- rebuild against libexif-0.6.12-1m

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- version 0.8.0
- BuildPreReq: sqlite3-devel
- Requires: sqlite3

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-3m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-2m)
- add --disable-rpath to configure

* Fri Aug 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-1m)
- version 0.7.4

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
